%global _empty_manifest_terminate_build 0
Name:		python-prettytable
Version:	3.8.0
Release:	1
Summary:	Display tabular data in a visually appealing ASCII table format.
License:	BSD-3-Clause
URL:		https://github.com/jazzband/prettytable
Source0:	https://files.pythonhosted.org/packages/18/fa/82e719efc465238383f099c08b5284b974f5002dbe12050bcbbc912366eb/prettytable-3.8.0.tar.gz
BuildArch:	noarch

%description
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package -n python3-prettytable
Summary:	Display tabular data in a visually appealing ASCII table format.
Provides:	python-prettytable = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-pip python3-wheel python3-flit
BuildRequires:  python3-hatchling python3-hatch-vcs
BuildRequires:	python3-setuptools_scm
Requires:	python3-importlib-metadata
Requires:	python3-wcwidth
%description -n python3-prettytable
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package help
Summary:	Development documents and examples for prettytable
Provides:	python3-prettytable-doc
%description help
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%prep
%autosetup -n prettytable-%{version}

%build
%pyproject_build

%install
%pyproject_install prettytable==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-prettytable
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Wed Jul 12 2023 niuyaru <niuyaru@kylinos.cn> - 3.8.0-1
- Update package to version 3.8.0

* Fri Apr 28 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.6.0-2
- Use pyproject to compile package

* Tue Jan 31 2023 wangjunqi <wangjunqi@kylinos.cn> - 3.6.0-1
- Update package to version 3.6.0

* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 2.4.0-2
- Rebuild for next release

* Mon Dec 27 2021 yanglongkang <yanglongkang@huawei.com> -2.4.0-1
- upadate to 2.4.0

* Wed Nov 4 2020 wangjie<wangjie294@huawei.com> -0.7.2-20
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 0.7.2-19
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Wed Feb 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-18
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add macros of python-provides about python3

* Thu Jan 9 2020 hanxinke<hanxinke@huawei.com> - 0.7.2-17
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync community

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-16
- Package init
